Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.content
Interface Content

All Known Implementing Classes:
  ContentImpl

public interface Content

Content.

Version:
  $Revision: 1.16 $

Method Summary
`void` | `create(SlideToken token, java.lang.String strUri, boolean isVersioned)` Create new revision descriptors.
`void` | `create(SlideToken token, java.lang.String strUri, NodeRevisionDescriptor revisionDescriptor, NodeRevisionContent revisionContent)` Create new revision in main branch.
`void` | `create(SlideToken token, java.lang.String strUri, java.lang.String branch, NodeRevisionDescriptor newRevisionDescriptor, NodeRevisionContent revisionContent)` Create new revision based on a previous revision.
`NodeRevisionNumber` | `fork(SlideToken token, java.lang.String strUri, java.lang.String branchName, NodeRevisionDescriptor basedOnRevisionDescriptor)` Create a branch based on specified revision.
`NodeRevisionNumber` | `fork(SlideToken token, java.lang.String strUri, java.lang.String branchName, NodeRevisionNumber basedOnRevisionNumber)` Create a branch based on specified revision.
`void` | `merge(SlideToken token, java.lang.String strUri, NodeRevisionDescriptor mainBranch, NodeRevisionDescriptor branch, NodeRevisionDescriptor newRevisionDescriptor, NodeRevisionContent revisionContent)` Merge specified branches into a single branch.
`void` | `merge(SlideToken token, java.lang.String strUri, java.lang.String mainBranch, java.lang.String branch, NodeRevisionDescriptor newRevisionDescriptor, NodeRevisionContent revisionContent)` Merge specified branches into a single branch.
`void` | `remove(SlideToken token, NodeRevisionDescriptors revisionDescriptors)` Remove all revisions at this Uri.
`void` | `remove(SlideToken token, java.lang.String strUri, NodeRevisionDescriptor revisionDescriptor)` Remove specified revision.
`void` | `remove(SlideToken token, java.lang.String strUri, NodeRevisionNumber revisionNumber)` Remove specified revision.
`NodeRevisionDescriptor` | `retrieve(SlideToken token, NodeRevisionDescriptors revisionDescriptors)` Retrieve revision descriptor from the latest revision in the main branch.
`NodeRevisionContent` | `retrieve(SlideToken token, NodeRevisionDescriptors revisionDescriptors, NodeRevisionDescriptor revisionDescriptor)` Retrieve revision content.
`NodeRevisionDescriptor` | `retrieve(SlideToken token, NodeRevisionDescriptors revisionDescriptors, NodeRevisionNumber revisionNumber)` Retrieve revision descriptor.
`NodeRevisionDescriptor` | `retrieve(SlideToken token, NodeRevisionDescriptors revisionDescriptors, java.lang.String branch)` Retrieve revision descriptor from the latest revision of a branch.
`NodeRevisionDescriptors` | `retrieve(SlideToken token, java.lang.String strUri)` Retrieve revision descriptors.
`NodeRevisionContent` | `retrieve(SlideToken token, java.lang.String strUri, NodeRevisionDescriptor revisionDescriptor)` Retrieve revision content.
`void` | `store(SlideToken token, java.lang.String strUri, NodeRevisionDescriptor revisionDescriptor, NodeRevisionContent revisionContent)` Update contents of an existing revision.

Method Detail

### retrieve

    public NodeRevisionDescriptors retrieve(SlideToken token,
                                            java.lang.String strUri)
                                     throws ObjectNotFoundException,
                                            AccessDeniedException,
                                            LinkedObjectNotFoundException,
                                            ServiceAccessException,
                                            ObjectLockedException,
                                            VetoException

  Retrieve revision descriptors.

  Parameters:
    `strUri` - Uri
  Returns:
    NodeRevisionDescriptors
  Throws:
    `ObjectNotFoundException`
    `AccessDeniedException`
    `LinkedObjectNotFoundException`
    `ServiceAccessException`
    `ObjectLockedException`
    `VetoException`

### retrieve

    public NodeRevisionDescriptor retrieve(SlideToken token,
                                           NodeRevisionDescriptors revisionDescriptors,
                                           NodeRevisionNumber revisionNumber)
                                    throws ObjectNotFoundException,
                                           AccessDeniedException,
                                           LinkedObjectNotFoundException,
                                           ServiceAccessException,
                                           RevisionDescriptorNotFoundException,
                                           ObjectLockedException,
                                           VetoException

  Retrieve revision descriptor.

  Parameters:
    `revisionDescriptors` - Node revision descriptors
    `revisionNumber` - Node revision number
  Throws:
    `ObjectNotFoundException`
    `AccessDeniedException`
    `LinkedObjectNotFoundException`
    `ServiceAccessException`
    `RevisionDescriptorNotFoundException`
    `ObjectLockedException`
    `VetoException`

### retrieve

    public NodeRevisionDescriptor retrieve(SlideToken token,
                                           NodeRevisionDescriptors revisionDescriptors)
                                    throws ObjectNotFoundException,
                                           AccessDeniedException,
                                           LinkedObjectNotFoundException,
                                           ServiceAccessException,
                                           RevisionDescriptorNotFoundException,
                                           ObjectLockedException,
                                           VetoException

  Retrieve revision descriptor from the latest revision in the main branch.

  Parameters:
    `revisionDescriptors` - Node revision descriptors
  Throws:
    `ObjectNotFoundException`
    `AccessDeniedException`
    `LinkedObjectNotFoundException`
    `ServiceAccessException`
    `RevisionDescriptorNotFoundException`
    `ObjectLockedException`
    `VetoException`

### retrieve

    public NodeRevisionDescriptor retrieve(SlideToken token,
                                           NodeRevisionDescriptors revisionDescriptors,
                                           java.lang.String branch)
                                    throws ObjectNotFoundException,
                                           AccessDeniedException,
                                           LinkedObjectNotFoundException,
                                           ServiceAccessException,
                                           RevisionDescriptorNotFoundException,
                                           ObjectLockedException,
                                           BranchNotFoundException,
                                           NodeNotVersionedException,
                                           VetoException

  Retrieve revision descriptor from the latest revision of a branch.

  Parameters:
    `token` - The token to access slide
    `revisionDescriptors` - Node revision descriptors
    `branch` - The branch, that contains the revision.
  Throws:
    `ObjectNotFoundException`
    `AccessDeniedException`
    `LinkedObjectNotFoundException`
    `ServiceAccessException`
    `RevisionDescriptorNotFoundException`
    `ObjectLockedException`
    `BranchNotFoundException`
    `NodeNotVersionedException`
    `VetoException`

### retrieve

    public NodeRevisionContent retrieve(SlideToken token,
                                        NodeRevisionDescriptors revisionDescriptors,
                                        NodeRevisionDescriptor revisionDescriptor)
                                 throws ObjectNotFoundException,
                                        AccessDeniedException,
                                        RevisionNotFoundException,
                                        LinkedObjectNotFoundException,
                                        ServiceAccessException,
                                        RevisionContentNotFoundException,
                                        ObjectLockedException,
                                        VetoException

  Retrieve revision content.

  Parameters:
    `revisionDescriptors` - Node revision descriptors
    `revisionDescriptor` - Node revision descriptor
  Throws:
    `ObjectNotFoundException`
    `AccessDeniedException`
    `RevisionNotFoundException`
    `LinkedObjectNotFoundException`
    `ServiceAccessException`
    `RevisionContentNotFoundException`
    `ObjectLockedException`
    `VetoException`

### retrieve

    public NodeRevisionContent retrieve(SlideToken token,
                                        java.lang.String strUri,
                                        NodeRevisionDescriptor revisionDescriptor)
                                 throws ObjectNotFoundException,
                                        AccessDeniedException,
                                        RevisionNotFoundException,
                                        LinkedObjectNotFoundException,
                                        ServiceAccessException,
                                        RevisionContentNotFoundException,
                                        ObjectLockedException,
                                        VetoException

  Retrieve revision content.

  Parameters:
    `strUri` - Uri
    `revisionDescriptor` - Node revision descriptor
  Throws:
    `ObjectNotFoundException`
    `AccessDeniedException`
    `RevisionNotFoundException`
    `LinkedObjectNotFoundException`
    `ServiceAccessException`
    `RevisionContentNotFoundException`
    `ObjectLockedException`
    `VetoException`

### create

    public void create(SlideToken token,
                       java.lang.String strUri,
                       boolean isVersioned)
                throws ObjectNotFoundException,
                       AccessDeniedException,
                       LinkedObjectNotFoundException,
                       ServiceAccessException,
                       ObjectLockedException,
                       VetoException

  Create new revision descriptors.

  Parameters:
    `strUri` - Uri
    `isVersioned` - true is the resource is versioned
  Throws:
    `ObjectNotFoundException`
    `AccessDeniedException`
    `LinkedObjectNotFoundException`
    `ServiceAccessException`
    `ObjectLockedException`
    `VetoException`

### create

    public void create(SlideToken token,
                       java.lang.String strUri,
                       NodeRevisionDescriptor revisionDescriptor,
                       NodeRevisionContent revisionContent)
                throws ObjectNotFoundException,
                       AccessDeniedException,
                       RevisionAlreadyExistException,
                       LinkedObjectNotFoundException,
                       ServiceAccessException,
                       ObjectLockedException,
                       VetoException

  Create new revision in main branch.

  Parameters:
    `strUri` - Uri
    `revisionDescriptor` - New Node revision descriptor
    `revisionContent` - New Node revision content
  Throws:
    `ObjectNotFoundException`
    `AccessDeniedException`
    `RevisionAlreadyExistException`
    `LinkedObjectNotFoundException`
    `ServiceAccessException`
    `ObjectLockedException`
    `VetoException`

### create

    public void create(SlideToken token,
                       java.lang.String strUri,
                       java.lang.String branch,
                       NodeRevisionDescriptor newRevisionDescriptor,
                       NodeRevisionContent revisionContent)
                throws ObjectNotFoundException,
                       AccessDeniedException,
                       RevisionAlreadyExistException,
                       LinkedObjectNotFoundException,
                       ServiceAccessException,
                       RevisionDescriptorNotFoundException,
                       ObjectLockedException,
                       NodeNotVersionedException,
                       BranchNotFoundException,
                       VetoException

  Create new revision based on a previous revision.

  Parameters:
    `strUri` - Uri
    `branch` - Branch in which to create the revision
    `newRevisionDescriptor` - New revision descriptor
    `revisionContent` - Node revision content
  Throws:
    `ObjectNotFoundException`
    `AccessDeniedException`
    `RevisionAlreadyExistException`
    `LinkedObjectNotFoundException`
    `ServiceAccessException`
    `RevisionDescriptorNotFoundException`
    `ObjectLockedException`
    `NodeNotVersionedException`
    `BranchNotFoundException`
    `VetoException`

### fork

    public NodeRevisionNumber fork(SlideToken token,
                                   java.lang.String strUri,
                                   java.lang.String branchName,
                                   NodeRevisionDescriptor basedOnRevisionDescriptor)
                            throws ObjectNotFoundException,
                                   AccessDeniedException,
                                   LinkedObjectNotFoundException,
                                   ServiceAccessException,
                                   RevisionDescriptorNotFoundException,
                                   ObjectLockedException,
                                   NodeNotVersionedException,
                                   RevisionAlreadyExistException,
                                   VetoException

  Create a branch based on specified revision.

  Parameters:
    `strUri` - Uri
    `branchName` - Name of the new branch
    `basedOnRevisionDescriptor` - Node revision descriptor of the revision on which the new branch is based on.
  Returns:
    the NodeRevisionNumber of the created revision.
  Throws:
    `ObjectNotFoundException`
    `AccessDeniedException`
    `LinkedObjectNotFoundException`
    `ServiceAccessException`
    `RevisionDescriptorNotFoundException`
    `ObjectLockedException`
    `NodeNotVersionedException`
    `RevisionAlreadyExistException`
    `VetoException`

### fork

    public NodeRevisionNumber fork(SlideToken token,
                                   java.lang.String strUri,
                                   java.lang.String branchName,
                                   NodeRevisionNumber basedOnRevisionNumber)
                            throws ObjectNotFoundException,
                                   AccessDeniedException,
                                   LinkedObjectNotFoundException,
                                   ServiceAccessException,
                                   RevisionDescriptorNotFoundException,
                                   ObjectLockedException,
                                   NodeNotVersionedException,
                                   RevisionAlreadyExistException,
                                   VetoException

  Create a branch based on specified revision.

  Parameters:
    `strUri` - Uri
    `branchName` - Name of the new branch
    `basedOnRevisionNumber` - Node revision number of the revision on which the new branch is based on.
  Returns:
    the NodeRevisionNumber of the created revision.
  Throws:
    `ObjectNotFoundException`
    `AccessDeniedException`
    `LinkedObjectNotFoundException`
    `ServiceAccessException`
    `RevisionDescriptorNotFoundException`
    `ObjectLockedException`
    `NodeNotVersionedException`
    `RevisionAlreadyExistException`
    `VetoException`

### merge

    public void merge(SlideToken token,
                      java.lang.String strUri,
                      NodeRevisionDescriptor mainBranch,
                      NodeRevisionDescriptor branch,
                      NodeRevisionDescriptor newRevisionDescriptor,
                      NodeRevisionContent revisionContent)
               throws ObjectNotFoundException,
                      AccessDeniedException,
                      LinkedObjectNotFoundException,
                      ServiceAccessException,
                      RevisionDescriptorNotFoundException,
                      ObjectLockedException,
                      NodeNotVersionedException,
                      BranchNotFoundException,
                      RevisionAlreadyExistException,
                      VetoException

  Merge specified branches into a single branch.

  Parameters:
    `strUri` - Uri
    `mainBranch` - Branch into which the other branch will be merged
    `branch` - Branch to merge into main branch
    `newRevisionDescriptor` - New revision descriptor
    `revisionContent` - Node revision content
  Throws:
    `ObjectNotFoundException`
    `AccessDeniedException`
    `LinkedObjectNotFoundException`
    `ServiceAccessException`
    `RevisionDescriptorNotFoundException`
    `ObjectLockedException`
    `NodeNotVersionedException`
    `BranchNotFoundException`
    `RevisionAlreadyExistException`
    `VetoException`

### merge

    public void merge(SlideToken token,
                      java.lang.String strUri,
                      java.lang.String mainBranch,
                      java.lang.String branch,
                      NodeRevisionDescriptor newRevisionDescriptor,
                      NodeRevisionContent revisionContent)
               throws ObjectNotFoundException,
                      AccessDeniedException,
                      LinkedObjectNotFoundException,
                      ServiceAccessException,
                      RevisionDescriptorNotFoundException,
                      ObjectLockedException,
                      NodeNotVersionedException,
                      BranchNotFoundException,
                      RevisionAlreadyExistException,
                      VetoException

  Merge specified branches into a single branch.

  Parameters:
    `strUri` - Uri
    `mainBranch` - Branch into which the other branch will be merged
    `branch` - Branch to merge into main branch
    `newRevisionDescriptor` - New revision descriptor
    `revisionContent` - Node revision content
  Throws:
    `ObjectNotFoundException`
    `AccessDeniedException`
    `LinkedObjectNotFoundException`
    `ServiceAccessException`
    `RevisionDescriptorNotFoundException`
    `ObjectLockedException`
    `NodeNotVersionedException`
    `BranchNotFoundException`
    `RevisionAlreadyExistException`
    `VetoException`

### store

    public void store(SlideToken token,
                      java.lang.String strUri,
                      NodeRevisionDescriptor revisionDescriptor,
                      NodeRevisionContent revisionContent)
               throws ObjectNotFoundException,
                      AccessDeniedException,
                      LinkedObjectNotFoundException,
                      ServiceAccessException,
                      RevisionDescriptorNotFoundException,
                      ObjectLockedException,
                      RevisionNotFoundException,
                      VetoException

  Update contents of an existing revision.

  Parameters:
    `strUri` - Uri
    `revisionDescriptor` - Revision descriptor
    `revisionContent` - Revision content
  Throws:
    `ObjectNotFoundException`
    `AccessDeniedException`
    `LinkedObjectNotFoundException`
    `ServiceAccessException`
    `RevisionDescriptorNotFoundException`
    `ObjectLockedException`
    `RevisionNotFoundException`
    `VetoException`

### remove

    public void remove(SlideToken token,
                       NodeRevisionDescriptors revisionDescriptors)
                throws ObjectNotFoundException,
                       AccessDeniedException,
                       LinkedObjectNotFoundException,
                       ServiceAccessException,
                       RevisionDescriptorNotFoundException,
                       ObjectLockedException,
                       VetoException

  Remove all revisions at this Uri.

  Parameters:
    `revisionDescriptors` - Node revision descriptors
  Throws:
    `ObjectNotFoundException`
    `AccessDeniedException`
    `LinkedObjectNotFoundException`
    `ServiceAccessException`
    `RevisionDescriptorNotFoundException`
    `ObjectLockedException`
    `VetoException`

### remove

    public void remove(SlideToken token,
                       java.lang.String strUri,
                       NodeRevisionDescriptor revisionDescriptor)
                throws ObjectNotFoundException,
                       AccessDeniedException,
                       LinkedObjectNotFoundException,
                       ServiceAccessException,
                       RevisionDescriptorNotFoundException,
                       ObjectLockedException,
                       VetoException

  Remove specified revision.

  Parameters:
    `strUri` - Uri
    `revisionDescriptor` - Node revision descriptor
  Throws:
    `ObjectNotFoundException`
    `AccessDeniedException`
    `LinkedObjectNotFoundException`
    `ServiceAccessException`
    `RevisionDescriptorNotFoundException`
    `ObjectLockedException`
    `VetoException`

### remove

    public void remove(SlideToken token,
                       java.lang.String strUri,
                       NodeRevisionNumber revisionNumber)
                throws ObjectNotFoundException,
                       AccessDeniedException,
                       LinkedObjectNotFoundException,
                       ServiceAccessException,
                       RevisionDescriptorNotFoundException,
                       ObjectLockedException,
                       VetoException

  Remove specified revision.

  Parameters:
    `strUri` - Uri
    `revisionNumber` - Revision number
  Throws:
    `ObjectNotFoundException`
    `AccessDeniedException`
    `LinkedObjectNotFoundException`
    `ServiceAccessException`
    `RevisionDescriptorNotFoundException`
    `ObjectLockedException`
    `VetoException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD